Packages - Bug #2390

[bbswitch] pgp fail - blocks linux-libre upgrade
2019-07-19 12:33 PM - pisechka

Status: fixed % Done: 100%
Priority: broken

Assignee: freemor

Category:

Description

error: bbswitch: signature from "Andreas Grapentin <andreas.grapentin@hpi.uni-potsdam.de>" is unknown trust

:: File /var/cache/pacman/pkg/bbswitch-0.8-209.parabolal.basekernel5.1.6-x86_64.pkg.tar.xz is corrupted (invalid or corrupted
package (PGP signature)).

Do you want to delete it? [Y/n]

Related issues:
Related to Packages - Bug #2931: [parabola-hackers]: keys are "unknown trust"... fixed

History

#1 - 2019-07-19 02:59 PM - bill-auger

- Priority changed from bug to broken

- Status changed from unconfirmed to confirmed

his key was just renewed - run this command to refresh it:

# pacman-key —-refresh-keys andreas.grapentin@hpi.uni-potsdam.de

#2 - 2019-08-01 05:07 AM - bill-auger

- Subject changed from [bbswitch] pgp fail to [bbswitch] pgp fail - blocks linux-libre upgrade

needs rebuild

installing linux-libre (5.2.2_gnu-1) breaks dependency 'linux-libre=5.1.6_gnu' required by bbswitch

#3 - 2019-08-01 05:00 PM - freemor

- Status changed from confirmed to in progress

Rebuilt and pushed for x86_64 . i686 fails to build.

#4 - 2019-08-02 12:40 AM - freemor

Got the 1686 to build. Hud to rebuild the kernel so the GCC versions matched.

I'll look at re-rebuilding (or hopefully libremakepkg -r) the i686 kernel, then rebuild
bbswitch for i686

Fun

#5 - 2019-08-02 01:59 AM - freemor

- % Done changed from 0 to 100

- Assignee set to freemor

bbswitch - 1686 pushed

#6 - 2019-08-02 02:00 AM - freemor

- Status changed from in progress to fixed

#7 - 2020-11-15 08:30 PM - bill-auger

- Related to Bug #2931: [parabola-hackers]: keys are "unknown trust" after expiry/renewal added
